Scala Compiler2.13.5 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package settings
  Definition Classes
    nsc
-  trait Warnings extends AnyRef

  Settings influencing the printing of warnings.

  Settings influencing the printing of warnings.

  Definition Classes
    settings
- LintWarnings
- UnusedWarnings

o

scala.tools.nsc.settings.Warnings

# LintWarnings

###

#### object LintWarnings extends MultiChoiceEnumeration

Source
  Warnings.scala

Linear Supertypes
MultiChoiceEnumeration, Enumeration, java.io.Serializable, AnyRef, Any
Content Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. LintWarnings
2. MultiChoiceEnumeration
3. Enumeration
4. Serializable
5. AnyRef
6. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Type Members

1.  case class Choice(name: String, help: String = "", expandsTo: List[Choice] = Nil) extends Val with Product with Serializable
   Definition Classes
     MultiChoiceEnumeration
2.  class LintWarning extends Choice
3.  class Val extends Value with Serializable
   Attributes
     protected
   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()
4.  abstract class Value extends Ordered[Value] with Serializable
   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()
5.  class ValueSet extends AbstractSet[Value] with SortedSet[Value] with SortedSetOps[Value, SortedSet, ValueSet] with StrictOptimizedIterableOps[Value, Set, ValueSet] with Serializable
   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  val AdaptedArgs: LintWarning
5.  val ByNameImplicit: LintWarning
6.  val Constant: LintWarning
7.  val DelayedInitSelect: LintWarning
8.  val Deprecation: LintWarning
9.  val DocDetached: LintWarning
10.  val EtaSam: LintWarning
11.  val EtaZero: LintWarning
12.  val ImplicitNotFound: LintWarning
13.  val ImplicitRecursion: LintWarning
14.  val Inaccessible: LintWarning
15.  val InferAny: LintWarning
16.  def LintWarning(name: String, help: String): LintWarning
17.  val MissingInterpolator: LintWarning
18.  val MultiargInfix: LintWarning
19.  val NonlocalReturn: LintWarning
20.  val NullaryUnit: LintWarning
21.  val OptionImplicit: LintWarning
22.  val PackageObjectClasses: LintWarning
23.  val PolyImplicitOverload: LintWarning
24.  val PrivateShadow: LintWarning
25.  val RecurseWithDefault: LintWarning
26.  val Serial: LintWarning
27.  val StarsAlign: LintWarning
28.  val StrictUnsealedPatMat: LintWarning
29.  val TypeParameterShadow: LintWarning
30.  val UnitSpecialization: LintWarning
31.  val Unused: LintWarning
32.  val ValPattern: LintWarning
33.  final def Value(i: Int, name: String): Value
    Attributes
      protected
    Definition Classes
      Enumeration
34.  final def Value(name: String): Value
    Attributes
      protected
    Definition Classes
      Enumeration
35.  final def Value(i: Int): Value
    Attributes
      protected
    Definition Classes
      Enumeration
36.  final def Value: Value
    Attributes
      protected
    Definition Classes
      Enumeration
37.  def allLintWarnings: Seq[LintWarning]
38.  final def apply(x: Int): Value
    Definition Classes
      Enumeration
39.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
40.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
41.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
42.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
43.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
44.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
45.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
46.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
47.  final def maxId: Int
    Definition Classes
      Enumeration
48.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
49.  var nextId: Int
    Attributes
      protected
    Definition Classes
      Enumeration
50.  var nextName: Iterator[String]
    Attributes
      protected
    Definition Classes
      Enumeration
51.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
52.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
53.  def readResolve(): AnyRef
    Attributes
      protected
    Definition Classes
      Enumeration
54.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
55.  def toString(): String
    Definition Classes
      Enumeration → AnyRef → Any
56.  def values: ValueSet
    Definition Classes
      Enumeration
57.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
58.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
59.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
60.  def wildcardChoices: ValueSet
    Definition Classes
      MultiChoiceEnumeration
61.  final def withName(s: String): Value
    Definition Classes
      Enumeration
62.  implicit object ValueOrdering extends Ordering[Value]
    Definition Classes
      Enumeration
63.  object ValueSet extends SpecificIterableFactory[Value, ValueSet] with java.io.Serializable
    Definition Classes
      Enumeration
    Annotations
      @SerialVersionUID()

### Inherited from MultiChoiceEnumeration

### Inherited from Enumeration

### Inherited from java.io.Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped